### Method

# Vte Terminal ref_termprop_variant

since: 0.78

#### Declaration [src]

    GVariant*
    vte_terminal_ref_termprop_variant (
      VteTerminal* terminal,
      const char* prop
    )

#### Description [src]

Returns the value of `prop` as a `GVariant`, or `NULL` if `prop` unset, or `prop` is not a registered property.

The `GVariantType` of the returned `GVariant` depends on the termprop type: * A `VTE_PROPERTY_VALUELESS` termprop returns a `G_VARIANT_TYPE_UNIT` variant. * A `VTE_PROPERTY_BOOL` termprop returns a `G_VARIANT_TYPE_BOOLEAN` variant. * A `VTE_PROPERTY_INT` termprop returns a `G_VARIANT_TYPE_INT64` variant. * A `VTE_PROPERTY_UINT` termprop returns a `G_VARIANT_TYPE_UINT64` variant. * A `VTE_PROPERTY_DOUBLE` termprop returns a `G_VARIANT_TYPE_DOUBLE` variant. * A `VTE_PROPERTY_RGB` or `VTE_PROPERTY_RGBA` termprop returns a “(ddddv)” tuple containing the red, green, blue, and alpha (1.0 for `VTE_PROPERTY_RGB`) components of the color and a variant of unspecified contents * A `VTE_PROPERTY_STRING` termprop returns a `G_VARIANT_TYPE_STRING` variant. * A `VTE_PROPERTY_DATA` termprop returns a “ay” variant (which is not a bytestring!). * A `VTE_PROPERTY_UUID` termprop returns a `G_VARIANT_TYPE_STRING` variant containing a string representation of the UUID in simple form. * A `VTE_PROPERTY_URI` termprop returns a `G_VARIANT_TYPE_STRING` variant containing a string representation of the URI * A `VTE_PROPERTY_IMAGE` termprop returns `NULL` since an image has no variant representation.

Available since: 0.78

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

A floating `GVariant`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.